<!-- Start of Table -->
<div class="card shadow mb-4">
  <div class="card-header py-3">
    <h6 class="m-0 font-weight-bold text-primary">
      {{ "USER_TABLE" | translate }}
    </h6>
  </div>
  <div class="card-body">
    <div class="table-responsive">
      <table class="table table-bordered">
        <tr>
          <th colspan="6">
            <div class="admin-search" (click)="isCollapsed = !isCollapsed">
              <div class="header-text">
                Search By
              </div>

              <div>
                <i *ngIf="!isCollapsed" class="fa fa-minus" aria-hidden="true"></i>
                <i *ngIf="isCollapsed" class="fa fa-plus" aria-hidden="true"></i>
              </div>
            </div>
          </th>
        </tr>
        <tr [hidden]="isCollapsed">
          <th>
            <label>Name</label>
            <input class="form-control" [(ngModel)]="searchByName" placeholder="Search..." />
          </th>
          <th>
            <label>Address</label>
            <input class="form-control" [(ngModel)]="searchByAddress" placeholder="Search..." />
          </th>
          <th>
            <label>Phone No.</label>
            <input class="form-control" [(ngModel)]="searchByPhone" placeholder="Search..." />
          </th>
          <th>
            <label>Email</label>
            <input class="form-control" [(ngModel)]="searchByEmail" placeholder="Search..." />
          </th>
          <th>
            <label>Retention Signature Name</label>
            <input class="form-control" [(ngModel)]="searchByRetentionName" placeholder="Search..." />
          </th>
          <th>
            <label>Retention Signature Title</label>
            <input class="form-control" [(ngModel)]="searchByRetentionTitle" placeholder="Search..." />
          </th>
        </tr>
      </table>

      <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
        <thead>
          <tr>
            <th (click)="sortList('first_name')">
              Name
              <span *ngIf="key === 'first_name'">
                <span *ngIf="reverse">
                  <i class="fas fa-arrow-up" aria-hidden="true"></i>
                </span>
                <span *ngIf="!reverse">
                  <i class="fas fa-arrow-down" aria-hidden="true"></i>
                </span>
              </span>
            </th>
            <th>Address</th>
            <th (click)="sortList('phone')">
              Phone
              <span *ngIf="key === 'phone'">
                <span *ngIf="reverse">
                  <i class="fas fa-arrow-up" aria-hidden="true"></i>
                </span>
                <span *ngIf="!reverse">
                  <i class="fas fa-arrow-down" aria-hidden="true"></i>
                </span>
              </span>
            </th>
            <th>Email</th>
            <th></th>
          </tr>
        </thead>

        <tbody>
          <tr *ngFor="
              let admin of adminList
                | orderBy: key:reverse
                | adminFilter
                  : searchByName
                  : searchByAddress
                  : searchByPhone
                  : searchByEmail
                  : searchByRetentionName
                  : searchByRetentionTitle
                | paginate
                  : { itemsPerPage: itemsPerPage, currentPage: currentPage }
            ">
            <td class="col-admin-name" (click)="navigateToAdminDetail(admin)">
              {{ admin.first_name }} {{ admin.middle_name }}
              {{ admin.last_name }}
            </td>
            <td>{{ admin.address1 }} {{ admin.city }} {{ admin.zip }}</td>
            <td>{{ admin.phone }}</td>
            <td>{{ admin.email }}</td>
            <td class="action">
              <i class="fas fa-user-alt mr-2 cursor-pointer" tooltip="Edit Password"
                (click)="editAdminCredential(admin)"></i>
              <i class="fas fa-pencil-alt mr-2 cursor-pointer" tooltip="Edit Information"
                (click)="editAdminInformation(admin)"></i>
              <i class="fas fa-trash-alt mr-2 cursor-pointer" tooltip="Delete" (click)="openConfirmDialog(admin)"></i>
            </td>
          </tr>
        </tbody>
        <tfoot>
          <td colspan="5">
            <span *ngIf="adminListLoading"> Loading ....</span>
            <span *ngIf="
                !adminListLoading &&
                (
                  adminList
                  | adminFilter
                    : searchByName
                    : searchByAddress
                    : searchByPhone
                    : searchByEmail
                    : searchByRetentionName
                    : searchByRetentionTitle
                )?.length === 0
              ">
              No Results
            </span>
            <simpliflysaas-pagination (pageChange)="setCurrentPage($event)" [totalItems]="
                (
                  adminList
                  | adminFilter
                    : searchByName
                    : searchByAddress
                    : searchByPhone
                    : searchByEmail
                    : searchByRetentionName
                    : searchByRetentionTitle
                )?.length
              " [itemsPerPage]="itemsPerPage" [currentPage]="currentPage">
            </simpliflysaas-pagination>
          </td>
        </tfoot>
      </table>
    </div>
  </div>
</div>
<!-- End of Table -->